org.apache.fop.hyphenation

## Class TernaryTree.Iterator

- java.lang.Object
- - org.apache.fop.hyphenation.TernaryTree.Iterator

- All Implemented Interfaces:
    Enumeration
  Enclosing class:
    TernaryTree

      public class TernaryTree.Iterator
      extends Object
      implements Enumeration

  an iterator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Iterator()` default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `char` | `getValue()`
    `boolean` | `hasMoreElements()`
    `Object` | `nextElement()`
    `void` | `rewind()` rewind iterator

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Iterator

          public Iterator()

      default constructor

  - ### Method Detail

    - #### rewind

          public void rewind()

      rewind iterator

    - #### nextElement

          public Object nextElement()

      Specified by:
        `nextElement` in interface `Enumeration`
      Returns:
        next element

    - #### getValue

          public char getValue()

      Returns:
        value

    - #### hasMoreElements

          public boolean hasMoreElements()

      Specified by:
        `hasMoreElements` in interface `Enumeration`
      Returns:
        true if more elements

Copyright © 2023 Apache Software Foundation. All rights reserved.